<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>LibArch: src/lib_cachecfg.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">LibArch
   </div>
   <div id="projectbrief">Library architecture and framework</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Macros</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">lib_cachecfg.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;xdc/std.h&gt;</code><br/>
<code>#include &quot;<a class="el" href="../../d3/d2c/lib__cachecfg_8h_source.html">lib_cachecfg.h</a>&quot;</code><br/>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:aa87c72590a2772a99f28ec97f070460b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d92/lib__cachecfg_8c.html#aa87c72590a2772a99f28ec97f070460b">LIB_SIZE_4KB</a>&#160;&#160;&#160;(4*1024UL)</td></tr>
<tr class="memdesc:aa87c72590a2772a99f28ec97f070460b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Macros for cache sizes in bytes.  <a href="#aa87c72590a2772a99f28ec97f070460b">More...</a><br/></td></tr>
<tr class="separator:aa87c72590a2772a99f28ec97f070460b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6ce860292df265fbe1ee0c95256499e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d92/lib__cachecfg_8c.html#aa6ce860292df265fbe1ee0c95256499e">LIB_SIZE_8KB</a>&#160;&#160;&#160;(8*1024UL)</td></tr>
<tr class="separator:aa6ce860292df265fbe1ee0c95256499e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37e1c7e7f3bee76af4701a5865da3406"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d92/lib__cachecfg_8c.html#a37e1c7e7f3bee76af4701a5865da3406">LIB_SIZE_16KB</a>&#160;&#160;&#160;(16*1024UL)</td></tr>
<tr class="separator:a37e1c7e7f3bee76af4701a5865da3406"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeee396eaee6f535903c89b243ba55b3a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d92/lib__cachecfg_8c.html#aeee396eaee6f535903c89b243ba55b3a">LIB_SIZE_32KB</a>&#160;&#160;&#160;(32*1024UL)</td></tr>
<tr class="separator:aeee396eaee6f535903c89b243ba55b3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e8f863f3661c29f418034cef56f8f52"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d92/lib__cachecfg_8c.html#a3e8f863f3661c29f418034cef56f8f52">LIB_SIZE_64KB</a>&#160;&#160;&#160;(64*1024UL)</td></tr>
<tr class="separator:a3e8f863f3661c29f418034cef56f8f52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9839f7661af009f7c2c05dcaeacbab40"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d92/lib__cachecfg_8c.html#a9839f7661af009f7c2c05dcaeacbab40">LIB_SIZE_128KB</a>&#160;&#160;&#160;(128*1024UL)</td></tr>
<tr class="separator:a9839f7661af009f7c2c05dcaeacbab40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e93095ac1125bff41330b1d84716977"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d92/lib__cachecfg_8c.html#a2e93095ac1125bff41330b1d84716977">LIB_SIZE_256KB</a>&#160;&#160;&#160;(256*1024UL)</td></tr>
<tr class="separator:a2e93095ac1125bff41330b1d84716977"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a882bf05724e05e073b5148fdb13ed1f3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d92/lib__cachecfg_8c.html#a882bf05724e05e073b5148fdb13ed1f3">LIB_SIZE_512KB</a>&#160;&#160;&#160;(512*1024UL)</td></tr>
<tr class="separator:a882bf05724e05e073b5148fdb13ed1f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bd93f9c46cb9ceae399b2ce2864ddb1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d92/lib__cachecfg_8c.html#a2bd93f9c46cb9ceae399b2ce2864ddb1">LIB_SIZE_1024KB</a>&#160;&#160;&#160;(1024*1024UL)</td></tr>
<tr class="separator:a2bd93f9c46cb9ceae399b2ce2864ddb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga3380d4452c454d398a64256c8eeed723"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d7c/group__libarch__cachecfg.html#ga3380d4452c454d398a64256c8eeed723">lib_L1D_config_SRAM</a> (size_t size_SRAM)</td></tr>
<tr class="memdesc:ga3380d4452c454d398a64256c8eeed723"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function <a class="el" href="../../df/d7c/group__libarch__cachecfg.html#ga3380d4452c454d398a64256c8eeed723" title="Function lib_L1D_config_SRAM() configures L1D to have the desired SRAM size. Refer to lib_cachecfg...">lib_L1D_config_SRAM()</a> configures L1D to have the desired SRAM size. Refer to <a class="el" href="../../d3/d2c/lib__cachecfg_8h.html">lib_cachecfg.h</a> for detailed documentation.  <a href="../../df/d7c/group__libarch__cachecfg.html#ga3380d4452c454d398a64256c8eeed723">More...</a><br/></td></tr>
<tr class="separator:ga3380d4452c454d398a64256c8eeed723"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga529504ec5196118f6fc9d744b6209d61"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d7c/group__libarch__cachecfg.html#ga529504ec5196118f6fc9d744b6209d61">lib_L2_config_SRAM</a> (size_t size_SRAM)</td></tr>
<tr class="memdesc:ga529504ec5196118f6fc9d744b6209d61"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function <a class="el" href="../../df/d7c/group__libarch__cachecfg.html#ga529504ec5196118f6fc9d744b6209d61" title="Function lib_L2_config_SRAM() configures L2 to have the desired SRAM size. Refer to lib_cachecfg...">lib_L2_config_SRAM()</a> configures L2 to have the desired SRAM size. Refer to <a class="el" href="../../d3/d2c/lib__cachecfg_8h.html">lib_cachecfg.h</a> for detailed documentation.  <a href="../../df/d7c/group__libarch__cachecfg.html#ga529504ec5196118f6fc9d744b6209d61">More...</a><br/></td></tr>
<tr class="separator:ga529504ec5196118f6fc9d744b6209d61"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a class="anchor" id="a2bd93f9c46cb9ceae399b2ce2864ddb1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LIB_SIZE_1024KB&#160;&#160;&#160;(1024*1024UL)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a9839f7661af009f7c2c05dcaeacbab40"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LIB_SIZE_128KB&#160;&#160;&#160;(128*1024UL)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a37e1c7e7f3bee76af4701a5865da3406"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LIB_SIZE_16KB&#160;&#160;&#160;(16*1024UL)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a2e93095ac1125bff41330b1d84716977"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LIB_SIZE_256KB&#160;&#160;&#160;(256*1024UL)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="aeee396eaee6f535903c89b243ba55b3a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LIB_SIZE_32KB&#160;&#160;&#160;(32*1024UL)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="aa87c72590a2772a99f28ec97f070460b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LIB_SIZE_4KB&#160;&#160;&#160;(4*1024UL)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Macros for cache sizes in bytes. </p>

</div>
</div>
<a class="anchor" id="a882bf05724e05e073b5148fdb13ed1f3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LIB_SIZE_512KB&#160;&#160;&#160;(512*1024UL)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a3e8f863f3661c29f418034cef56f8f52"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LIB_SIZE_64KB&#160;&#160;&#160;(64*1024UL)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="aa6ce860292df265fbe1ee0c95256499e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LIB_SIZE_8KB&#160;&#160;&#160;(8*1024UL)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Mar 6 2017 14:10:51 for LibArch by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="../../doxygen.png" alt="doxygen"/>
</a> 1.8.6
</small></address>
</body>
</html>
